Bug 838973 - Dashboard pages with special characters
Dashboard pages with special characters
Status: CLOSED WONTFIX
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: 5.2.2.CR01
Assigned To: Matt Wringe
:
Depends On:
Blocks: 849827
  Show dependency treegraph
 
Reported: 2012-07-10 10:25 EDT by vramik
Modified: 2012-08-27 11:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A change to how dashboard page names were validated in another issue caused dashboard page names containing special characters to no longer be considered as invalid. If a dashboard name contains a special character, it is now replaced with an underscore in the URL. This new functionality will be added to the Dashboard Portlet section of the User Guide in a future release.
Story Points: ---
Clone Of:
: 849827 (view as bug list)
Environment:
Last Closed: 2012-07-31 10:18:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vramik 2012-07-10 10:25:38 EDT
Description of problem:
It is possible create dashboard page (using dashboard tab portlet) which contains special characters. When you are on the page there are underscores in url instead special characters.

Steps to Reproduce:
1. open portal, sign in and go to dashboard
2. click "+" button to create new dashboard page
3. write some special characters and press enter
Comment 1 claprun 2012-07-25 05:44:27 EDT
Change in behavior is due to work done for https://bugzilla.redhat.com/show_bug.cgi?id=805527
Comment 2 Boleslaw Dawidowicz 2012-07-27 07:34:05 EDT
For this one Chris checked and confirmed that those pages are working properly and URLs to them are handled properly. 

There is slight behaviour change in validation but it is not clear if this should be a bug or we should just create a technical note explaining the change.
Comment 3 Michal Vanco 2012-07-30 07:00:00 EDT
Yup, this is change in validation, new format is handled properly.
Disadvantage can be bookmarking with "_" instead of any special character.
+1 for technical note + update in documentation http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html-single/User_Guide/index.html#sect-User_Guide-Dashboard_Portlet (currently there is no information about what is allowed and what not)
Comment 4 mark yarborough 2012-07-31 10:18:11 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Bolek to supply
Comment 5 Matt Wringe 2012-07-31 11:21:24 EDT
I added a technical note for this issue before, but it doesn't appear that it made it through on the submit. Re-adding the technical note.
Comment 6 Matt Wringe 2012-07-31 11:21:24 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,7 @@
-Bolek to supply+CAUSE: Validation of dashboard page names changed. 
+
+CONSEQUENCE: Dashboard page names with special characters are no longer considered an invalid page name.
+
+FIX: The portal can now properly handles dashboard page names with special characters. If a dashboard name contains an special character, it will be replaced with an underscore in the URL.
+
+RESULT: Special characters are now allowed in dashboard page names.
Comment 7 vramik 2012-07-31 11:53:59 EDT
To Matt:

>The portal can now properly handles dashboard page names with special >characters. If a dashboard name contains an special character, it will be >replaced with an underscore in the URL.

That's ok. But when I try to add page which starts by number the message "Name cannot be empty and must start with a character" is shown. 

1) Is it ok that page can start by special character and cannot by number?

2) Message says "... and must start with a character" and special character isn't regular character. Is this expected behaviour?
Comment 8 Matt Wringe 2012-08-01 13:04:38 EDT
Please open a separate issue with the error message being wrong (it should say something along the lines of a dashboard name cannot start with a number). The requirement that a dashboard name start with something other than a number is not an issue with special characters in the dashboard name (ie & > & ...)
Comment 9 Jared MORGAN 2012-08-21 00:54:11 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1 @@
-CAUSE: Validation of dashboard page names changed. 
+A change to how dashboard page names were validated in another issue caused dashboard page names containing special characters to no longer be considered as invalid. If a dashboard name contains a special character, it is now replaced with an underscore in the URL. This new functionality will be added to the Dashboard Portlet section of the User Guide in a future release.-
-CONSEQUENCE: Dashboard page names with special characters are no longer considered an invalid page name.
-
-FIX: The portal can now properly handles dashboard page names with special characters. If a dashboard name contains an special character, it will be replaced with an underscore in the URL.
-
-RESULT: Special characters are now allowed in dashboard page names.
Comment 10 vramik 2012-08-27 11:02:42 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.